#ifndef Modelica_Mechanics_MultiBody_Examples_Elementary_DoublePendulum__H
#define Modelica_Mechanics_MultiBody_Examples_Elementary_DoublePendulum__H
#ifdef _OPENMP_
#include <omp.h>
#else
#define omp_get_thread_num() 0
#define omp_get_max_threads() 1
#endif
#include "modelica.h"
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

#include "simulation_runtime.h"
#ifdef __cplusplus
extern "C" {
#endif
struct Modelica_Mechanics_MultiBody_Frames_Orientation {
  real_array T;
  real_array w;
};
extern struct record_description Modelica_Mechanics_MultiBody_Frames_Orientation__desc;
typedef struct Modelica_Mechanics_MultiBody_Frames_Quaternions_from__T_rettype_s {
  real_array c1; /* Q */
} Modelica_Mechanics_MultiBody_Frames_Quaternions_from__T_rettype;

Modelica_Mechanics_MultiBody_Frames_Quaternions_from__T_rettype omc_Modelica_Mechanics_MultiBody_Frames_Quaternions_from__T(real_array _T, real_array _Q_guess);

typedef struct Modelica_Mechanics_MultiBody_Frames_Orientation_rettype_s {
  struct Modelica_Mechanics_MultiBody_Frames_Orientation c1;
} Modelica_Mechanics_MultiBody_Frames_Orientation_rettype;

Modelica_Mechanics_MultiBody_Frames_Orientation_rettype omc_Modelica_Mechanics_MultiBody_Frames_Orientation(real_array T, real_array w);


typedef struct Modelica_Mechanics_MultiBody_Frames_TransformationMatrices_from__nxy_rettype_s {
  real_array c1; /* T */
} Modelica_Mechanics_MultiBody_Frames_TransformationMatrices_from__nxy_rettype;

Modelica_Mechanics_MultiBody_Frames_TransformationMatrices_from__nxy_rettype omc_Modelica_Mechanics_MultiBody_Frames_TransformationMatrices_from__nxy(real_array _n_x, real_array _n_y);
#ifdef __cplusplus
}
#endif
#endif


